FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora User

 
 
LinkBack Thread Tools
 
Old 12-09-2007, 09:23 PM
Janardana Deva
 
Default yum bungling dependency resolution

The following will explain the problem I am having:



# yum update

.

.

.

--> Running transaction check

---> Package paps-libs.x86_64 0:0.6.8-1.fc7 set to be updated

--> Processing Dependency: /boot/vmlinuz-2.6.23.1-21.fc7 for package: ndiswrapper-kmdl-2.6.23.1-21.fc7

--> Processing Dependency: /boot/vmlinuz-2.6.23.1-21.fc7 for package: alsa-kmdl-2.6.23.1-21.fc7

--> Finished Dependency Resolution

--> Running transaction check

.

.

.

--> Processing Dependency: /boot/vmlinuz-2.6.23.1-21.fc7 for package: ndiswrapper-kmdl-2.6.23.1-21.fc7

--> Processing Dependency: /boot/vmlinuz-2.6.23.1-21.fc7 for package: alsa-kmdl-2.6.23.1-21.fc7

--> Finished Dependency Resolution

Error: Missing Dependency: /boot/vmlinuz-2.6.23.1-21.fc7 is needed by package alsa-kmdl-2.6.23.1-21.fc7

Error: Missing Dependency: /boot/vmlinuz-2.6.23.1-21.fc7 is needed by package ndiswrapper-kmdl-2.6.23.1-21.fc7

# ls -l /boot/vmlinuz-2.6.23.1-21.fc7

-rw-r--r-- 1 root root 1913048 2007-11-01 17:39 /boot/vmlinuz-2.6.23.1-21.fc7

# rpm -qa | grep kernel

kernel-headers-2.6.23.1-21.fc7

kernel-2.6.23.1-10.fc7

kernel-xen-2.6.20-2943.fc7

kernel-devel-2.6.23.1-21.fc7

kernel-devel-2.6.23.1-10.fc7

kernel-xen-2.6.20-2936.fc7

kernel-2.6.23.1-21.fc7





----------------------------------------------------------



Version of yum is:

# rpm -qa | grep yum

yum-updatesd-3.2.7-2.fc7

yum-metadata-parser-1.1.0-2.fc7

yum-3.2.7-2.fc7


You keep typing, we keep giving. Download Messenger and join the i’m Initiative now. Join in!
--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-09-2007, 09:40 PM
Todd Zullinger
 
Default yum bungling dependency resolution

Janardana Deva wrote:
> The following will explain the problem I am having:
>
> # yum update
> --> Running transaction check
> ---> Package paps-libs.x86_64 0:0.6.8-1.fc7 set to be updated
> --> Processing Dependency: /boot/vmlinuz-2.6.23.1-21.fc7 for package: ndiswrapper-kmdl-2.6.23.1-21.fc7
> --> Processing Dependency: /boot/vmlinuz-2.6.23.1-21.fc7 for package: alsa-kmdl-2.6.23.1-21.fc7
> --> Finished Dependency Resolution
> --> Running transaction check
>
> --> Processing Dependency: /boot/vmlinuz-2.6.23.1-21.fc7 for package: ndiswrapper-kmdl-2.6.23.1-21.fc7
> --> Processing Dependency: /boot/vmlinuz-2.6.23.1-21.fc7 for package: alsa-kmdl-2.6.23.1-21.fc7
> --> Finished Dependency Resolution
> Error: Missing Dependency: /boot/vmlinuz-2.6.23.1-21.fc7 is needed by package alsa-kmdl-2.6.23.1-21.fc7
> Error: Missing Dependency: /boot/vmlinuz-2.6.23.1-21.fc7 is needed by package ndiswrapper-kmdl-2.6.23.1-21.fc7

This is a known bug[1], which should be fixed in yum-3.2.8. Try:

yum update yum

to get the new yum, then try your update again.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=330711

--
Todd OpenPGP -> KeyID: 0xBEAF0CE3 | URL: www.pobox.com/~tmz/pgp
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ~~~~~~~~~~~~~~~~~~~~
What we seek is not the overthrow of the government, but a situation
in which it gets lost in the shuffle.
-- Duncan Frissell

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-09-2007, 09:41 PM
"Jonathan Underwood"
 
Default yum bungling dependency resolution

On 09/12/2007, Janardana Deva <ishwara1008@hotmail.com> wrote:
>
>
> The following will explain the problem I am having:
>
> # yum update
> .


Try doing:

yum update yum

and then doing

yum update

J.

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-10-2007, 01:50 AM
Janardana Deva
 
Default Yum bungling dependency resolution

> This is a known bug[1], which should be fixed in yum-3.2.8. Try:
> yum update yum
> to get the new yum, then try your update again.
> [1] https://bugzilla.redhat.com/show_bug.cgi?id=330711

OK, I tried your suggestion. This is the output:


# yum update yum
fedora******************* 100% |=========================| 2.1 kB*** 00:00****
updates**************** 100% |=========================| 2.3 kB*** 00:00****
Setting up Update Process
Could not find update match for yum
No Packages marked for Update

So, 3.2.8 is still not in the rpm repositories for yum update to find.

Jago


Share life as it happens with the new Windows Live. Share now!
--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-10-2007, 02:16 AM
"Kam Leo"
 
Default Yum bungling dependency resolution

On Dec 9, 2007 6:50 PM, Janardana Deva <ishwara1008@hotmail.com> wrote:
>
>
> > This is a known bug[1], which should be fixed in yum-3.2.8. Try:
> > yum update yum
> > to get the new yum, then try your update again.
> > [1] https://bugzilla.redhat.com/show_bug.cgi?id=330711
>
> OK, I tried your suggestion. This is the output:
>
>
> # yum update yum
> fedora 100% |=========================| 2.1 kB 00:00
> updates 100% |=========================| 2.3 kB 00:00
> Setting up Update Process
> Could not find update match for yum
> No Packages marked for Update
>
> So, 3.2.8 is still not in the rpm repositories for yum update to find.
>
> Jago

Strange that yum-3.2.8-2.fc7.noarch is still in the testing
repository. It is available for F8 and I've it installed. If you need
the latest version for your box enable the testing repository.

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-10-2007, 02:25 AM
Todd Zullinger
 
Default Yum bungling dependency resolution

Janardana Deva wrote:
> OK, I tried your suggestion. This is the output:
>
> # yum update yum
> fedora 100% |=========================| 2.1 kB 00:00
> updates 100% |=========================| 2.3 kB 00:00
> Setting up Update Process
> Could not find update match for yum
> No Packages marked for Update
>
> So, 3.2.8 is still not in the rpm repositories for yum update to find.

Stale mirrors perhaps? It's at the master server:

http://download.fedora.redhat.com/pub/fedora/linux/updates/8/i386/yum-3.2.8-1.fc8.noarch.rpm

It was also in updates-testing before that, so some mirrors may still
have it there (or, the 3.2.8-2 release, which included an unrelated
fix for some livecd issues).

Perhaps try to pull it from updates testing:

yum --enablerepo=updates-testing update yum

--
Todd OpenPGP -> KeyID: 0xBEAF0CE3 | URL: www.pobox.com/~tmz/pgp
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ~~~~~~~~~~~~~~~~~~~~
When buying and selling are controlled by legislation, the first
things to be bought and sold are legislators.
-- P.J. O'Rourke, Parliament of Whores

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-10-2007, 02:29 AM
Todd Zullinger
 
Default Yum bungling dependency resolution

Kam Leo wrote:
> Strange that yum-3.2.8-2.fc7.noarch is still in the testing
> repository.

-1 is in updates, -2 is in updates-testing (on the master download
site anyway).

> It is available for F8 and I've it installed. If you need the latest
> version for your box enable the testing repository.

It's probably best to only enable the testing repo at specific times
and for specific programs. Unless you want to take a chance at
finding a bad update breaks something. Just the other day, there was
a pilot-link update that went into testing and managed to wreak a bit
of havoc with device permissions (by having an over-aggressive hal
rule). That update was pulled from -testing so that it didn't affect
anyone else, and it won't make it to the normal updates repo. (Yay
for testing!)

--
Todd OpenPGP -> KeyID: 0xBEAF0CE3 | URL: www.pobox.com/~tmz/pgp
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ~~~~~~~~~~~~~~~~~~~~
When crypto is outlawed, AtZoMJJzWM2GwNIxsO6ey1gYcHl4IqItK/kb5ABKzt0=

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-10-2007, 05:28 AM
Janardana Deva
 
Default Yum bungling dependency resolution

Thank you Todd.
Updating from testing worked.
System is not fully up-to-date.

Seems that all these updates are being released into fc8
but not into previous releases?
Is this a "nudge" from redhat or the fedora project to get
people to switch to a release that still has other unresolved issues?

Jago

Your smile counts. The more smiles you share, the more we donate. Join in!
--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-10-2007, 07:04 AM
Todd Zullinger
 
Default Yum bungling dependency resolution

Janardana Deva wrote:
> Thank you Todd.
> Updating from testing worked.
> System is not fully up-to-date.

Excellent.

> Seems that all these updates are being released into fc8 but not
> into previous releases?

What updates do you mean specifically? There is a yum-3.2.8-2 update
for F7, just as there is for F8. You can check all the other updates
for at https://admin.fedoraproject.org/updates/

There won't be any more updates for FC6, as it has now reached it's
end of life.

> Is this a "nudge" from redhat or the fedora project to get people to
> switch to a release that still has other unresolved issues?

I don't think so. There are still plenty of updates for the software
in F7. Sure, there are probably a bit more for F8, but that's mainly
due to F8 being released fairly recently. As more people try it and
report bugs or suggestion improvements, packages get updated. The
Gnome desktop release is also pretty new, and updates for that set of
applications has come along for what shipped in F8.

--
Todd OpenPGP -> KeyID: 0xBEAF0CE3 | URL: www.pobox.com/~tmz/pgp
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ~~~~~~~~~~~~~~~~~~~~
Few things are harder to put up with than a good example.
-- Mark Twain (1835-1910)

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 

Thread Tools




All times are GMT. The time now is 06:41 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org